BLAS/SRC/csrot.f(3)

NAME
BLAS/SRC/csrot.f

SYNOPSIS

  Functions/Subroutines
subroutine csrot (n, cx, incx, cy, incy, c, s)
CSROT

Function/Subroutine Documentation

  subroutine csrot (integer n, complex, dimension( * ) cx, integer incx, complex, dimension( * ) cy, integer incy, real c, real s)

CSROT

Purpose:

     CSROT applies a plane rotation, where the cos and sin (c and s) are real
     and the vectors cx and cy are complex.
     jack dongarra, linpack, 3/11/78.

Parameters
    N

              N is INTEGER
               On entry, N specifies the order of the vectors cx and cy.
               N must be at least zero.

    CX

              CX is COMPLEX array, dimension at least
               ( 1 + ( N - 1 )*abs( INCX ) ).
               Before entry, the incremented array CX must contain the n
               element vector cx. On exit, CX is overwritten by the updated
               vector cx.

    INCX

              INCX is INTEGER
               On entry, INCX specifies the increment for the elements of
               CX. INCX must not be zero.

    CY

              CY is COMPLEX array, dimension at least
               ( 1 + ( N - 1 )*abs( INCY ) ).
               Before entry, the incremented array CY must contain the n
               element vector cy. On exit, CY is overwritten by the updated
               vector cy.

    INCY

              INCY is INTEGER
               On entry, INCY specifies the increment for the elements of
               CY. INCY must not be zero.

    C

              C is REAL
               On entry, C specifies the cosine, cos.

    S

              S is REAL
               On entry, S specifies the sine, sin.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 97 of file csrot.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.